Bug 193315 - [NEW PORT] www/py-seafobj: Seafile object module
Summary: [NEW PORT] www/py-seafobj: Seafile object module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords: needs-qa
Depends on:
Blocks: 193135
  Show dependency treegraph
 
Reported: 2014-09-04 15:57 UTC by Jingfeng Yan
Modified: 2014-11-07 20:35 UTC (History)
2 users (show)

See Also:


Attachments
new port shar file (2.56 KB, application/x-shar)
2014-09-04 15:57 UTC, Jingfeng Yan
no flags Details
test port log (11.06 KB, text/plain)
2014-09-04 15:58 UTC, Jingfeng Yan
no flags Details
new port shar file (2.56 KB, application/x-shar)
2014-09-04 16:00 UTC, Jingfeng Yan
no flags Details
portlint -AC output (4.02 KB, text/plain)
2014-09-06 09:26 UTC, Jingfeng Yan
no flags Details
diff from last shar (3.55 KB, patch)
2014-09-06 09:30 UTC, Jingfeng Yan
no flags Details | Diff
updated shar file (4.03 KB, application/x-shar)
2014-09-06 09:41 UTC, Jingfeng Yan
no flags Details
updated shar file (5.09 KB, application/x-shar)
2014-09-06 16:00 UTC, Jingfeng Yan
no flags Details
diff from first shar to updated shar (3.65 KB, patch)
2014-09-06 16:02 UTC, Jingfeng Yan
no flags Details | Diff
shar file target commit (4.03 KB, text/plain)
2014-09-12 02:07 UTC, Jingfeng Yan
no flags Details
shar file target commit (3.88 KB, text/plain)
2014-11-07 03:16 UTC, Jingfeng Yan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jingfeng Yan 2014-09-04 15:57:09 UTC
Created attachment 146800 [details]
new port shar file

Seafile object module.
Comment 1 Jingfeng Yan 2014-09-04 15:58:15 UTC
Created attachment 146801 [details]
test port log
Comment 2 Jingfeng Yan 2014-09-04 16:00:16 UTC
Created attachment 146802 [details]
new port shar file
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 03:12:17 UTC
Review items:

 * DISTNAME, LICENSE, LICENSE_FILE commented out (leftovers). The last two need 
   values.
 * Capitalize "Python" in COMMENT
 * GH_PROJECT already defaults to ${PORTNAME}
 * USE_PYTHON is deprecated, replace with USES (See Mk/Uses/python.mk)
 * pkg-plist is missing pyc and pyo files. These will be generated on first import, then leftover when user deinstalls. You need to run pycompile before installation.

This patch needs updating before it can be committed. Please update according to this review, and all other review items in the other seafile new port submissions

Thanks Jingfen!
Comment 4 Jingfeng Yan 2014-09-06 09:26:24 UTC
Created attachment 146907 [details]
portlint -AC output

after updated shar file testing
Comment 5 Jingfeng Yan 2014-09-06 09:30:13 UTC
Created attachment 146908 [details]
diff from last shar
Comment 6 Jingfeng Yan 2014-09-06 09:41:50 UTC
Created attachment 146909 [details]
updated shar file
Comment 7 Jingfeng Yan 2014-09-06 09:44:06 UTC
Most of Seafile project codes follow open source licenses, GPL, APACHE, MIT.  I am confirming which license this code it follows.  Will finalize with correct license information.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 11:09:19 UTC
 * GH_PROJECT is unnecessary (defaults to ${PORTNAME} in Mk/bsd.sites.mk)
 * Use git tags for GH_TAGNAME if they are available in the upstream repository
Comment 9 Jingfeng Yan 2014-09-06 16:00:17 UTC
Created attachment 146939 [details]
updated shar file

correct license.  Seafobj is part of Seahub project, which follows APACHE 2.0 license.   Will attached email of confirmation.
Comment 10 Jingfeng Yan 2014-09-06 16:02:47 UTC
Created attachment 146940 [details]
diff from first shar to updated shar

remove GH_PROJECT and correct TAGNAME, and LICENSE
Comment 11 Jingfeng Yan 2014-09-12 02:07:28 UTC
Created attachment 147234 [details]
shar file target commit

clean out ~ file.
Comment 12 Jingfeng Yan 2014-09-12 02:14:32 UTC
It is part of seahub comp, which follows the sea hub license APACHE2.0
Comment 13 John Marino freebsd_committer 2014-11-06 10:29:01 UTC
same comments as other PR:

1) combine do-install and post-install
2) don't mask install commands with "@"
3) remove @dirrm* lines from pkg-plist

moving back to triage so it doesn't get lost again.
Comment 14 Jingfeng Yan 2014-11-07 03:16:43 UTC
Created attachment 149148 [details]
shar file target commit

- rm @ for non-mkdir
- merge do-/post-install into do-install
- re-gen pkg-plist
Comment 15 Jingfeng Yan 2014-11-07 03:22:01 UTC
(In reply to Jingfeng Yan from comment #14)
> Created attachment 149148 [details]
> shar file target commit
> 
> - rm @ for non-mkdir
> - merge do-/post-install into do-install
> - re-gen pkg-plist

The last part of compile py to pyc, and pyo file has similar to py-seafdav. The original py modules do not have correct python pkg layout.  Will see if this is changed from developer, or suggest them having formal one.
Comment 16 John Marino freebsd_committer 2014-11-07 15:38:22 UTC
I'll take it.

It's not "wrong", but I'll remove this line:
X	${ECHO_MSG} "install script ... ${STAGEDIR}${PYTHON_SITELIBDIR} "

It shows where it's getting installed in the log, right?  The echo doesn't add value so I'll just remove it (same as py-seafdav)
Comment 17 Jingfeng Yan 2014-11-07 16:13:58 UTC
(In reply to John Marino from comment #16)
> I'll take it.
> 
> It's not "wrong", but I'll remove this line:
> X	${ECHO_MSG} "install script ... ${STAGEDIR}${PYTHON_SITELIBDIR} "
> 
> It shows where it's getting installed in the log, right?  The echo doesn't
> add value so I'll just remove it (same as py-seafdav)

It is fine to remove it.  Thank you.
Comment 18 John Marino freebsd_committer 2014-11-07 20:09:56 UTC
this looks wrong too:
XGH_TAGNAME=	v${PORTN}-server-testing

(PORTVERSION, not PORTN)

we'll find out in a minute.
Comment 19 John Marino freebsd_committer 2014-11-07 20:11:49 UTC
confirmed problem and confirmed the fix.
Comment 20 John Marino freebsd_committer 2014-11-07 20:14:27 UTC
It is generally bad practice to have the COMMENT and pkg-description the same.  It normally means the pkg-description is inadequate.
Comment 21 John Marino freebsd_committer 2014-11-07 20:17:09 UTC
I think we have been using the wrong WWW on all of these.

for pkg-descr, http://seafile.com/en/home much better URL.  The github is just the code which is already in MASTER_SITES anyway.
Comment 22 John Marino freebsd_committer 2014-11-07 20:19:03 UTC
well, maybe that's not appropriate for this particular port.  And I can't find a better description than you provided either.
Comment 23 commit-hook freebsd_committer 2014-11-07 20:34:30 UTC
A commit references this bug:

Author: marino
Date: Fri Nov  7 20:33:38 UTC 2014
New revision: 372297
URL: https://svnweb.freebsd.org/changeset/ports/372297

Log:
  Add new port www/py-seafobj

  PR:		193315
  Submitted by:	Jingfeng Yan

  full desc: "This is a Python library for accessing seafile data model."

  Unfortunately, that really is the most detailed description.  All the
  README's are zero-bytes in the repo.

Changes:
  head/www/Makefile
  head/www/py-seafobj/
  head/www/py-seafobj/Makefile
  head/www/py-seafobj/distinfo
  head/www/py-seafobj/pkg-descr
  head/www/py-seafobj/pkg-plist
Comment 24 John Marino freebsd_committer 2014-11-07 20:35:42 UTC
That's another one done.